---
title: Standard built-in objects
slug: Web/JavaScript/Reference/Global_Objects
tags:
  - JavaScript
  - Landing page
  - Overview
  - Reference
---
<p>{{JSSidebar("Objects")}}</p>

<p><span class="seoSummary">This chapter documents all of JavaScript's standard, built-in objects, including their methods and properties.</span></p>

<p>The term "global objects" (or standard built-in objects) here is not to be confused with <strong>the global object</strong>. Here, "global objects" refer to <strong>objects in the global scope</strong>.</p>

<p>The <strong>global object</strong> itself can be accessed using the {{JSxRef("Operators/this", "this")}} operator in the global scope. In fact, the global scope <strong>consists of</strong> the properties of the global object, including inherited properties, if any.</p>

<p>Other objects in the global scope are either <a href="/en-US/docs/Web/JavaScript/Guide/Working_with_Objects#Creating_new_objects">created by the user script</a> or provided by the host application. The host objects available in browser contexts are documented in the <a href="/en-US/docs/Web/API/Reference">API reference</a>.</p>

<p>For more information about the distinction between the <a href="/en-US/docs/DOM/DOM_Reference">DOM</a> and core <a href="/en-US/docs/Web/JavaScript">JavaScript</a>, see <a href="/en-US/docs/Web/JavaScript/JavaScript_technologies_overview">JavaScript technologies overview</a>.</p>

<h2 id="Standard_objects_by_category">Standard objects by category</h2>

<h3 id="Value_properties">Value properties</h3>

<p>These global properties return a simple value. They have no properties or methods.</p>

<ul>
 <li>{{JSxRef("Infinity")}}</li>
 <li>{{JSxRef("NaN")}}</li>
 <li>{{JSxRef("undefined")}}</li>
 <li>{{JSxRef("globalThis")}}</li>
</ul>

<h3 id="Function_properties">Function properties</h3>

<p>These global functions—functions which are called globally, rather than on an object—directly return their results to the caller.</p>

<div class="twocolumns">
<ul>
 <li>{{JSxRef("Global_Objects/eval", "eval()")}}</li>
 <li>{{Non-Standard_Inline}} {{JSxRef("Global_Objects/uneval", "uneval()")}} </li>
 <li>{{JSxRef("Global_Objects/isFinite", "isFinite()")}}</li>
 <li>{{JSxRef("Global_Objects/isNaN", "isNaN()")}}</li>
 <li>{{JSxRef("Global_Objects/parseFloat", "parseFloat()")}}</li>
 <li>{{JSxRef("Global_Objects/parseInt", "parseInt()")}}</li>
 <li>{{JSxRef("Global_Objects/encodeURI", "encodeURI()")}}</li>
 <li>{{JSxRef("Global_Objects/encodeURIComponent", "encodeURIComponent()")}}</li>
 <li>{{JSxRef("Global_Objects/decodeURI", "decodeURI()")}}</li>
 <li>{{JSxRef("Global_Objects/decodeURIComponent", "decodeURIComponent()")}}</li>
 <li><strong>Deprecated</strong>
  <ul>
   <li>{{Deprecated_Inline}} {{JSxRef("Global_Objects/escape", "escape()")}}</li>
   <li>{{Deprecated_Inline}} {{JSxRef("Global_Objects/unescape", "unescape()")}}</li>
  </ul>
 </li>
</ul>
</div>

<h3 id="Fundamental_objects">Fundamental objects</h3>

<p>These are the fundamental, basic objects upon which all other objects are based. This includes general objects, booleans, functions, and symbols.</p>

<ul>
 <li>{{JSxRef("Object")}}</li>
 <li>{{JSxRef("Function")}}</li>
 <li>{{JSxRef("Boolean")}}</li>
 <li>{{JSxRef("Symbol")}}</li>
</ul>

<h3 id="Error_objects">Error objects</h3>

<p>Error objects are a special type of fundamental object. They include the basic {{JSxRef("Error")}} type, as well as several specialized error types.</p>

<div class="twocolumns">
<ul>
 <li>{{JSxRef("Error")}}</li>
 <li>{{JSxRef("AggregateError")}} </li>
 <li>{{JSxRef("EvalError")}}</li>
 <li>{{JSxRef("InternalError")}}</li>
 <li>{{JSxRef("RangeError")}}</li>
 <li>{{JSxRef("ReferenceError")}}</li>
 <li>{{JSxRef("SyntaxError")}}</li>
 <li>{{JSxRef("TypeError")}}</li>
 <li>{{JSxRef("URIError")}}</li>
</ul>
</div>

<h3 id="Numbers_and_dates">Numbers and dates</h3>

<p>These are the base objects representing numbers, dates, and mathematical calculations.</p>

<ul>
 <li>{{JSxRef("Number")}}</li>
 <li>{{JSxRef("BigInt")}}</li>
 <li>{{JSxRef("Math")}}</li>
 <li>{{JSxRef("Date")}}</li>
</ul>

<h3 id="Text_processing">Text processing</h3>

<p>These objects represent strings and support manipulating them.</p>

<ul>
 <li>{{JSxRef("String")}}</li>
 <li>{{JSxRef("RegExp")}}</li>
</ul>

<h3 id="Indexed_collections">Indexed collections</h3>

<p>These objects represent collections of data which are ordered by an index value. This includes (typed) arrays and array-like constructs.</p>

<div class="twocolumns">
<ul>
 <li>{{JSxRef("Array")}}</li>
 <li>{{JSxRef("Int8Array")}}</li>
 <li>{{JSxRef("Uint8Array")}}</li>
 <li>{{JSxRef("Uint8ClampedArray")}}</li>
 <li>{{JSxRef("Int16Array")}}</li>
 <li>{{JSxRef("Uint16Array")}}</li>
 <li>{{JSxRef("Int32Array")}}</li>
 <li>{{JSxRef("Uint32Array")}}</li>
 <li>{{JSxRef("Float32Array")}}</li>
 <li>{{JSxRef("Float64Array")}}</li>
 <li>{{JSxRef("BigInt64Array")}}</li>
 <li>{{JSxRef("BigUint64Array")}}</li>
</ul>
</div>

<h3 id="Keyed_collections">Keyed collections</h3>

<p>These objects represent collections which use keys. The iterable collections ({{JSxRef("Map")}} and {{JSxRef("Set")}}) contain elements which are easily iterated in the order of insertion.</p>

<ul>
 <li>{{JSxRef("Map")}}</li>
 <li>{{JSxRef("Set")}}</li>
 <li>{{JSxRef("WeakMap")}}</li>
 <li>{{JSxRef("WeakSet")}}</li>
</ul>

<h3 id="Structured_data">Structured data</h3>

<p>These objects represent and interact with structured data buffers and data coded using JavaScript Object Notation (JSON).</p>

<ul>
 <li>{{JSxRef("ArrayBuffer")}}</li>
 <li>{{JSxRef("SharedArrayBuffer")}}</li>
 <li>{{JSxRef("Atomics")}}</li>
 <li>{{JSxRef("DataView")}}</li>
 <li>{{JSxRef("JSON")}}</li>
</ul>

<h3 id="Control_abstraction_objects">Control abstraction objects</h3>

<p>Control abstractions can help to structure code, especially async code (without using deeply nested callbacks, for example).</p>

<ul>
 <li>{{JSxRef("Promise")}}</li>
 <li>{{JSxRef("Generator")}}</li>
 <li>{{JSxRef("GeneratorFunction")}}</li>
 <li>{{JSxRef("AsyncFunction")}}</li>
 <li>{{JSxRef("Global_Objects/AsyncGenerator", "AsyncGenerator")}}</li>
 <li>{{JSxRef("Global_Objects/AsyncGeneratorFunction", "AsyncGeneratorFunction")}}</li>
</ul>

<h3 id="Reflection">Reflection</h3>

<ul>
 <li>{{JSxRef("Reflect")}}</li>
 <li>{{JSxRef("Proxy")}}</li>
</ul>

<h3 id="Internationalization">Internationalization</h3>

<p>Additions to the ECMAScript core for language-sensitive functionalities.</p>

<div class="twocolumns">
<ul>
 <li>{{JSxRef("Intl")}}</li>
 <li>{{JSxRef("Global_Objects/Collator", "Intl.Collator")}}</li>
 <li>{{JSxRef("Global_Objects/DateTimeFormat", "Intl.DateTimeFormat")}}</li>
 <li>{{JSxRef("Global_Objects/ListFormat", "Intl.ListFormat")}}</li>
 <li>{{JSxRef("Global_Objects/NumberFormat", "Intl.NumberFormat")}}</li>
 <li>{{JSxRef("Global_Objects/PluralRules", "Intl.PluralRules")}}</li>
 <li>{{JSxRef("Global_Objects/RelativeTimeFormat", "Intl.RelativeTimeFormat")}}</li>
 <li>{{JSxRef("Global_Objects/Locale", "Intl.Locale")}}</li>
</ul>
</div>

<h3 id="WebAssembly">WebAssembly</h3>

<div class="twocolumns">
<ul>
 <li>{{JSxRef("WebAssembly")}}</li>
 <li>{{JSxRef("WebAssembly.Module")}}</li>
 <li>{{JSxRef("WebAssembly.Instance")}}</li>
 <li>{{JSxRef("WebAssembly.Memory")}}</li>
 <li>{{JSxRef("WebAssembly.Table")}}</li>
 <li>{{JSxRef("WebAssembly.CompileError")}}</li>
 <li>{{JSxRef("WebAssembly.LinkError")}}</li>
 <li>{{JSxRef("WebAssembly.RuntimeError")}}</li>
</ul>
</div>

<h3 id="Other">Other</h3>

<ul>
 <li>{{JSxRef("Functions/arguments", "arguments")}}</li>
</ul>
